=== debian/changelog ===
autobench (2.1.2) unstable; urgency=low

  * New upstream version

 -- Julian T. J. Midgley <jtjm@xenoclast.org>  Thu, 27 May 2004 17:41:19 +0100

autobench (2.1.1-1) unstable; urgency=low

  * New upstream version

 -- Julian T. J. Midgley <jtjm@xenoclast.org>  Tue, 25 Nov 2003 23:05:32 +0000

autobench (2.0.1-1) unstable; urgency=low

  * New upstream version

 -- Julian T. J. Midgley <jtjm@xenoclast.org>  Tue, 15 Oct 2002 17:48:14 +0100

autobench (2.0.0-1) unstable; urgency=low

  * New upstream version

 -- Julian T. J. Midgley <jtjm@xenoclast.org>  Mon, 14 Oct 2002 21:22:08 +0100

autobench (1.1.2-1) unstable; urgency=low

  * Initial Release

 -- Julian T. J. Midgley <jtjm@xenoclast.org>  Sat, 12 Oct 2002 11:11:23 +0100
